# $Revision: 1.10 $, $Date: 2011/02/24 21:14:33 $

%define 	module	pyevent

Summary:	Python extension module for libevent
Summary(pl.UTF-8):	Moduł rozszerzenia Pythona dla biblioteki libevent
Name:		python-%{module}
Version:	0.3
Release:	8
License:	MIT
Group:		Libraries/Python
Source0:	http://pyevent.googlecode.com/files/%{module}-%{version}.tar.gz
# Source0-md5:	584912c92d08bf005283fb29a47a6e4d
Patch0:		%{name}-python25.patch
Patch1:		%{name}-setup.patch
URL:		http://code.google.com/p/pyevent/
BuildRequires:	libevent-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python extension module for libevent.

%description -l pl.UTF-8
Moduł rozszerzenia Pythona dla biblioteki libevent.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__python} setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{py_sitedir}/event.so
%{py_sitedir}/event-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyevent.spec,v $
Revision 1.10  2011/02/24 21:14:33  lisu
- rel 8 (new libevent)

Revision 1.9  2010/07/08 08:29:39  arekm
- release 7

Revision 1.8  2008/10/03 17:56:51  arekm
- release 6

Revision 1.7  2008/09/01 12:43:14  arekm
- release 5

Revision 1.6  2008/08/27 22:16:47  glen
- release 4 (libevent soname)

Revision 1.5  2008/08/12 14:28:06  patrys
- add setup patch
- rel 3

Revision 1.4  2008/08/12 14:17:33  patrys
- rel 2

Revision 1.3  2008-05-07 18:22:36  qboosh
- pl
- .so perms

Revision 1.2  2008-01-30 20:39:55  patrys
- patch for python 2.5

Revision 1.1  2008-01-28 17:31:42  patrys
- initial PLD release
